Last Comment Bug 321379 - Crash using a closed stream [@ nsConverterOutputStream::Close][@ nsConverterOutputStream::Write]
: Crash using a closed stream [@ nsConverterOutputStream::Close][@ nsConverterO...
Status: RESOLVED FIXED
: crash, fixed1.8.0.7, fixed1.8.1
Product: Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: All All
: P1 critical (vote)
: mozilla1.8.1
Assigned To: Christian :Biesinger (don't email me, ping me on IRC)
: Yuying Long
: Makoto Kato [:m_kato]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-23 15:05 PST by timeless
Modified: 2006-09-04 17:29 PDT (History)
2 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (772 bytes, patch)
2005-12-23 15:21 PST, Christian :Biesinger (don't email me, ping me on IRC)
no flags Details | Diff | Splinter Review
patch v2 (1.38 KB, patch)
2005-12-23 15:46 PST, Christian :Biesinger (don't email me, ping me on IRC)
timeless: review+
darin.moz: superreview+
darin.moz: approval‑branch‑1.8.1+
dveditz: approval1.8.0.7+
Details | Diff | Splinter Review
unit test (2.06 KB, patch)
2006-09-01 18:46 PDT, Christian :Biesinger (don't email me, ping me on IRC)
smontagu: review+
Details | Diff | Splinter Review

Description timeless 2005-12-23 15:05:35 PST
I wasn't trying to crash it, but, it did when i forgot i had closed the stream.
Comment 1 Christian :Biesinger (don't email me, ping me on IRC) 2005-12-23 15:21:20 PST
Created attachment 206735 [details] [diff] [review]
patch
Comment 2 Christian :Biesinger (don't email me, ping me on IRC) 2005-12-23 15:46:52 PST
Created attachment 206738 [details] [diff] [review]
patch v2
Comment 3 Christian :Biesinger (don't email me, ping me on IRC) 2005-12-23 15:47:17 PST
(patch v2 also fixes write/writeString)
Comment 4 Christian :Biesinger (don't email me, ping me on IRC) 2006-01-05 05:28:41 PST
fixed on trunk:
Checking in intl/uconv/src/nsConverterOutputStream.cpp;
/cvsroot/mozilla/intl/uconv/src/nsConverterOutputStream.cpp,v  <--  nsConverterOutputStream.cpp
new revision: 1.2; previous revision: 1.1
done
Comment 5 Christian :Biesinger (don't email me, ping me on IRC) 2006-02-01 07:04:25 PST
fixed on MOZILLA_1_8_BRANCH
Checking in intl/uconv/src/nsConverterOutputStream.cpp;
/cvsroot/mozilla/intl/uconv/src/nsConverterOutputStream.cpp,v  <--  nsConverterOutputStream.cpp
new revision: 1.1.4.1; previous revision: 1.1
done
Comment 6 timeless 2006-06-15 04:17:33 PDT
Comment on attachment 206738 [details] [diff] [review]
patch v2 

Incident ID: 19887900
Comment 7 Daniel Veditz [:dveditz] 2006-08-15 15:01:03 PDT
Comment on attachment 206738 [details] [diff] [review]
patch v2 

approved for 1.8.0 branch, a=dveditz for drivers
Comment 8 Christian :Biesinger (don't email me, ping me on IRC) 2006-08-22 13:03:04 PDT
checked in on MOZILLA_1_8_0_BRANCH:

Checking in intl/uconv/src/nsConverterOutputStream.cpp;
/cvsroot/mozilla/intl/uconv/src/nsConverterOutputStream.cpp,v  <--  nsConverterOutputStream.cpp
new revision: 1.1.12.1; previous revision: 1.1
done
Comment 9 alice nodelman [:alice] [:anode] 2006-08-29 15:36:17 PDT
Can I get a testcase for this bug?
Comment 10 Christian :Biesinger (don't email me, ping me on IRC) 2006-09-01 18:46:40 PDT
Created attachment 236494 [details] [diff] [review]
unit test

sure, here it is. patch for applying in intl/uconv. Adds a make check target. (this bug can't be directly triggered by users, only by extensions)
Comment 11 Christian :Biesinger (don't email me, ping me on IRC) 2006-09-04 16:02:46 PDT
unit test checked in on trunk:
Checking in tests/Makefile.in;
/cvsroot/mozilla/intl/uconv/tests/Makefile.in,v  <--  Makefile.in
new revision: 1.24; previous revision: 1.23
done
RCS file: /cvsroot/mozilla/intl/uconv/tests/unit/test_bug321379.js,v
done
Checking in tests/unit/test_bug321379.js;
/cvsroot/mozilla/intl/uconv/tests/unit/test_bug321379.js,v  <--  test_bug321379.js
initial revision: 1.1
done

Note You need to log in before you can comment on or make changes to this bug.